All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::opencl::kernels::svd< NumericT, MatrixLayout > Struct Template Reference

Main kernel class for generating OpenCL kernels for singular value decomposition of dense matrices. More...

`#include <svd.hpp>`

## Static Public Member Functions

static std::string | program_name ()
static void | init (viennacl::ocl::context &ctx)

## Detailed Description

### template<typename NumericT, typename MatrixLayout = row_major>
struct viennacl::linalg::opencl::kernels::svd< NumericT, MatrixLayout >

Main kernel class for generating OpenCL kernels for singular value decomposition of dense matrices.

Definition at line 644 of file svd.hpp.

## Member Function Documentation

template<typename NumericT , typename MatrixLayout = row_major>

static void viennacl::linalg::opencl::kernels::svd< NumericT, MatrixLayout >::init | ( | viennacl::ocl::context & | ctx | ) |

inline static

Definition at line 652 of file svd.hpp.

template<typename NumericT , typename MatrixLayout = row_major>

static std::string viennacl::linalg::opencl::kernels::svd< NumericT, MatrixLayout >::program_name | ( |  | ) |

inline static

Definition at line 646 of file svd.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/opencl/kernels/svd.hpp